Crashpad

Public Attributes | List of all members
crashpad::process_types::PROCESS_BASIC_INFORMATION< Traits > Struct Template Reference

Selected structures from winternl.h, ntddk.h, and `dt ntdll!xxx`, customized to have both x86 and x64 sizes available. More...

`#include "util/win/process_structs.h"`

## Public Attributes
union {
DWORD ExitStatus
Traits::Pad padding_for_x64_0
}; |
Traits::Pointer | PebBaseAddress
Traits::UnsignedIntegral | AffinityMask
union {
DWORD BasePriority
Traits::Pad padding_for_x64_1
}; |
Traits::UnsignedIntegral | UniqueProcessId
Traits::UnsignedIntegral | InheritedFromUniqueProcessId

## Detailed Description

### template<class Traits>
struct crashpad::process_types::PROCESS_BASIC_INFORMATION< Traits >

Selected structures from winternl.h, ntddk.h, and `dt ntdll!xxx`, customized to have both x86 and x64 sizes available.

The structure and field names follow the Windows names for clarity. We do, however, use plain integral types rather than pointer types. This is both easier to define, and avoids accidentally treating them as pointers into the current address space.

The templates below should be instantiated with either internal::Traits32 for structures targeting x86, or internal::Traits64 for x64.

The documentation for this struct was generated from the following file:

- util/win/process_structs.h